“Expecto Funtronum!”Harry Potter fans will forgive this little wordplay, as it is pretty appropriate in this case: Feral Interactive has recently announced the upcoming release of “LEGO Harry Potter: Years 5-7”.

Like the first game, the player will be able to revisit the movies from the perspective of various characters from the Harry Potter universe, with a slightly comical twist that the LEGO games are known for. According to Feral Interactive, it will offer even more playable characters, a wider range of spells and a larger environment to explore.

The minimum system requirements are fairly low, allowing users of older machines to play it: 1.4 GHz processor, Mac OS X 10.6.8, 2.0 GB of RAM, 7.0 GB of free hard disk space and a graphics card with 128 MB of memory.

If you want to make full use of the graphics, a 2.4 GHz processor, 4 GB of RAM and 512 MB graphics card are necessary.

The game will be available in stores and the Mac App Store on February 16th, 2012, for $29,99 (£19,99 inc. VAT, €24,99 inc. VAT respectively).

You can check out the trailer for the game in the video below.

Comments are closed.